VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound:

## Classes
class | DeleteFirewallRule
class | FirewallAddressRule
class | FirewallRulePolicy

## Avaliable Methods
public method | add ()
public method | delete ()
public method | new ()
public method | list ()
public method | set ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound` interface* provides methods Operations for Firewall rules.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::add | ( |  | ) |

Add a firewall rule to allow or deny traffic from incoming IP address.

Parameters

  pos | [REQUIRED] Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list. . The value must be Long.
  rule | [REQUIRED] Firewall IP-based rule. . The value must be Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in add: 11
sub add {
my ($self, %args) = @_;
my $pos = $args {pos};
my $rule = $args {rule};
$self->validate_args (method_name => 'add',
method_args => \%args);
return $self->invoke (method_name => 'add',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::delete | ( |  | ) |

Delete specific rule at a given position or delete all rules.

Parameters

  config | [REQUIRED] Delete a firewall rule . The value must be Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in delete: 10
sub delete {
my ($self, %args) = @_;
my $config = $args {config};
$self->validate_args (method_name => 'delete',
method_args => \%args);
return $self->invoke (method_name => 'delete',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::list | ( |  | ) |

Get ordered list of inbound IP addresses that are allowed or denied by firewall.

Return values

  List | of address-based firewall rules. The return type will be Array of Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::set | ( |  | ) |

Set list of inbound IP addresses to allow or deny by firewall. This replaces all existing rules. Firewall rules have no impact on closed ports because these ports are closed for all traffic.

Parameters

  rules | [REQUIRED] List of address-based firewall rules. . The value must be Array of Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in set: 10
sub set {
my ($self, %args) = @_;
my $rules = $args {rules};
$self->validate_args (method_name => 'set',
method_args => \%args);
return $self->invoke (method_name => 'set',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Firewall/Addr/Inbound.pm